Bug 1199366 - dracut-041-10.git20150219.fc23.x86_64dbroken booting usin encryted raid
Summary: dracut-041-10.git20150219.fc23.x86_64dbroken booting usin encryted raid
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: dracut
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: dracut-maint-list
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-03-06 03:45 UTC by Bruno Wolff III
Modified: 2015-04-13 23:11 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-04-13 23:11:14 UTC
Type: Bug


Attachments (Terms of Use)
rdsosreport.txt output from failed boot (84.16 KB, text/plain)
2015-03-06 03:45 UTC, Bruno Wolff III
no flags Details

Description Bruno Wolff III 2015-03-06 03:45:02 UTC
Created attachment 998654 [details]
rdsosreport.txt output from failed boot

Description of problem:
initramfs images with dracut-041-10.git20150219.fc23.x86_64 d not find the root device.

Comment 1 Bruno Wolff III 2015-03-06 03:48:33 UTC
Reverting dracut to dracut-041-1.fc22.i686.rpm and rebuilding the initramfs images got things working again,

Comment 2 Harald Hoyer 2015-03-06 09:54:44 UTC
Your kernel command line:

"ro root=/dev/mapper/luks-9a976b86-8aaa-40d9-8039-89d710eac5c9 SYSFONT=latarcyrheb-sun16 LANG=en_US.UTF-8 KEYTABLE=us radeon.agpmode=-1 slub_debug=-"

What is the output of:

# dracut --print-cmdline

Comment 3 Bruno Wolff III 2015-03-06 16:36:43 UTC
# dracut --print-cmdline
 rd.luks.uuid=luks-9a976b86-8aaa-40d9-8039-89d710eac5c9 rd.luks.uuid=luks-987f98d1-0144-4bb4-a433-f7233784ca40 rd.md.uuid=d13c307b:fea49fff:68440555:5608819f  rd.md.uuid=9e06cb82:14b726e2:af554f00:b9b73901  rd.md.uuid=ae6ad9ce:44aaf58a:1b7241dd:08af09ec  resume=/dev/mapper/luks-987f98d1-0144-4bb4-a433-f7233784ca40 root=/dev/mapper/luks-9a976b86-8aaa-40d9-8039-89d710eac5c9 rootflags=rw,relatime,seclabel,nodelalloc rootfstype=ext4

Comment 4 Harald Hoyer 2015-03-09 12:04:03 UTC
(In reply to Bruno Wolff III from comment #3)
> # dracut --print-cmdline
>  rd.luks.uuid=luks-9a976b86-8aaa-40d9-8039-89d710eac5c9
> rd.luks.uuid=luks-987f98d1-0144-4bb4-a433-f7233784ca40
> rd.md.uuid=d13c307b:fea49fff:68440555:5608819f 
> rd.md.uuid=9e06cb82:14b726e2:af554f00:b9b73901 
> rd.md.uuid=ae6ad9ce:44aaf58a:1b7241dd:08af09ec 
> resume=/dev/mapper/luks-987f98d1-0144-4bb4-a433-f7233784ca40
> root=/dev/mapper/luks-9a976b86-8aaa-40d9-8039-89d710eac5c9
> rootflags=rw,relatime,seclabel,nodelalloc rootfstype=ext4

You really should add the rd.luks.uuid=... and rd.md.uuid=... lines to the kernel command line. If you install a systemd these days, anaconda does that for you.

And, I would guess this system works with the newer dracut then.

Comment 5 Bruno Wolff III 2015-03-09 19:49:26 UTC
I can try that. This should probably be documented someplace as a change for f22 though, as it could surprise other people with legacy setups.

Comment 6 Bruno Wolff III 2015-03-16 23:02:51 UTC
I do find it odd that when doing a host only initramfs image, that dracut doesn't include info about the devices actually needed to boot the system, since it should be able to figure the list out.

Comment 7 Harald Hoyer 2015-03-27 15:39:43 UTC
hostonly_cmdline=yes

in a dracut conf file will do what you want. I just don't want to make it the default.

Comment 8 Bruno Wolff III 2015-04-01 02:40:36 UTC
I put:
hostonly_cmdline=yes
into /etc/dracut.conf.d/999-local.conf , but that didn't work. It looked similar to cases where an initramfs file wasn't built, but in this case there was one. Things had been getting farther before I made that change. I'll look at things again when I get time and report back. I know how to work around the issue using older dracut, so I can keep testing newer kernels if I want.

Comment 9 Bruno Wolff III 2015-04-13 23:11:14 UTC
The config file change was actually working, but grubby broke in the mean time and wasn't putting in the initrd line in grub.conf.

I'm going to close this, though I wish the need for setting hostonly_cmdline for people with very old complicated setups were easier to find. But there probably aren't enough of us to make it worth putting a lot of effort into it.


Note You need to log in before you can comment on or make changes to this bug.